uses
  {$IFDEF WINDOWS}windows,{$ENDIF}
  dopenal,
  dopenal_ogg,
  dstream,
  dstreamfile;

begin
  InitOpenAL;
  OpenALOggInit;
  OpenALOggPlayMusic('loop1.ogg');
  try
    while True do begin
      OpenALOggUpdate;
      {$IFDEF WINDOWS}Sleep(30);{$ENDIF}
    end;
  finally
    OpenALOggDone;
  end;
end.
